%define po_package %{name}

Name:	mate-panel
Version:	1.4.0
Release:	1%{?dist}
Summary:	MATE Desktop panel applets
License:	LGPLv2+ and GPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz

BuildRequires:  dbus-glib-devel gobject-introspection-devel gtk+-devel icon-naming-utils jabberd libcanberra-devel libmate-devel libmateweather-devel libmatewnck-devel librsvg2-devel mate-common mate-conf-devel mate-corba-devel mate-desktop-devel mate-doc-utils mate-menus-devel NetworkManager-gtk-devel 

#Will fix evolution support in a future release
#BuildRequires: evolution-data-server-devel

Requires:	libmate mate-corba mate-conf mate-desktop mate-menus libmatekbd
Requires(pre):	mate-conf
Requires(post):	mate-conf
Requires(preun):	mate-conf


%description
MATE Desktop panel applets


%package devel
Summary: Development files for mate-window-manager
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for mate-panel


%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-scrollkeeper --disable-schemas-install --disable-static --enable-network-manager
make %{?_smp_mflags}

%install
export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=%{buildroot} install
%find_lang %{name} --all-name
find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'
unset MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install                                                                    \
        --remove-category="MATE"                                                        \
        --add-category="X-Mate"                                                         \
        --remove-only-show-in="MATE"                                                    \
        --add-only-show-in="X-MATE"                                                     \
        --delete-original                                                               \
        --dir=%{buildroot}%{_datadir}/applications                                      \
%{buildroot}%{_datadir}/applications/mate-panel.desktop

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/mate-panel.desktop

%pre
if [ "$1" -gt 1 ] ; then
export MATECONF_CONFIG_SOURCE="xml:merged:/etc/mateconf/mateconf.xml.defaults"
        mateconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/mateconf/schemas/*.schemas
        > /dev/null || :
fi

%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :
export MATECONF_CONFIG_SOURCE="xml:merged:/etc/mateconf/mateconf.xml.defaults"
        mateconftool-2 --makefile-install-rule  \
        %{_sysconfdir}/mateconf/schemas/*.schemas       \
        > /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :
export MATECONF_CONFIG_SOURCE="xml:merged:/etc/mateconf/mateconf.xml.defaults"
        mateconftool-2 --makefile-uninstall-rule        \
        %{_sysconfdir}/mateconf/schemas/*.schemas       \
        > /dev/null || :



#%pre
#%mateconf_schema_prepare desktop_mate_clock
#%mateconf_schema_prepare desktop_mate_fish
#%mateconf_schema_prepare desktop_mate_panel-compatibility
#%mateconf_schema_prepare desktop_mate_panel-default-setup.entries
#%mateconf_schema_prepare desktop_mate_panel-general
#%mateconf_schema_prepare desktop_mate_panel-global
#%mateconf_schema_prepare desktop_mate_panel-object
#%mateconf_schema_prepare desktop_mate_panel-toplevel
#%mateconf_schema_prepare desktop_mate_window-list
#%mateconf_schema_prepare desktop_mate_workspace-switcher

#%post
#/sbin/ldconfig
#/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

#%mateconf_schema_upgrade desktop_mate_clock
#%mateconf_schema_upgrade desktop_mate_fish
#%mateconf_schema_upgrade desktop_mate_panel-compatibility
#%mateconf_schema_upgrade desktop_mate_panel-default-setup.entries
#%mateconf_schema_upgrade desktop_mate_panel-general
#%mateconf_schema_upgrade desktop_mate_panel-global
#%mateconf_schema_upgrade desktop_mate_panel-object
#%mateconf_schema_upgrade desktop_mate_panel-toplevel
#%mateconf_schema_upgrade desktop_mate_window-list
#%mateconf_schema_upgrade desktop_mate_workspace-switcher


%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{po_package}.lang
%doc AUTHORS COPYING README
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/mateconf/schemas/clock.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/fish.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/panel-compatibility.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/panel-default-setup.entries
%config(noreplace) %{_sysconfdir}/mateconf/schemas/panel-general.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/panel-global.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/panel-object.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/panel-toplevel.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/window-list.schemas
%config(noreplace) %{_sysconfdir}/mateconf/schemas/workspace-switcher.schemas
%{_bindir}/mate-desktop-item-edit
%{_bindir}/mate-panel
%{_bindir}/mate-panel-test-applets
%{_libdir}/girepository-1.0/MatePanelApplet-3.0.typelib
%{_libdir}/libmate-panel-applet-3.so.1
%{_libdir}/libmate-panel-applet-3.so.1.0.1
%{_libexecdir}/clock-applet
%{_libexecdir}/fish-applet
%{_libexecdir}/mate-panel-add
%{_libexecdir}/notification-area-applet
%{_libexecdir}/wnck-applet
%{_datadir}/applications/mate-panel.desktop
%{_datadir}/dbus-1/services/org.mate.panel.applet.ClockAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.FishAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.NotificationAreaAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.WnckletFactory.service
%{_datadir}/gir-1.0/MatePanelApplet-3.0.gir
%{_datadir}/gtk-doc/html/mate-panel-applet/
%{_datadir}/omf/mate-applet-fish/
%{_datadir}/omf/mate-applet-clock/
%{_datadir}/icons/hicolor/16x16/apps/
%{_datadir}/icons/hicolor/22x22/apps/
%{_datadir}/icons/hicolor/24x24/apps/
%{_datadir}/icons/hicolor/32x32/apps/
%{_datadir}/icons/hicolor/48x48/apps/
%{_datadir}/icons/hicolor/scalable/apps/
%{_datadir}/mate/help/mate-applet-clock/
%{_datadir}/mate/help/mate-applet-fish/
%{_datadir}/mate-panel/
%{_datadir}/mate-panelrc

%files devel
%{_libdir}/libmate-panel-applet-3.so
%{_includedir}/mate-panel-3.0/
%{_libdir}/pkgconfig/libmatepanelapplet-3.0.pc

%changelog
* Sat Sep 01 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
-Initial build

